
From: Adrian Bunk <bunk@stusta.de>

flush_tlb_all was exported on i386 for a DRM usage - that was removed
in 2003.

I haven't found any modular usage of *flush_tlb_all in the kernel.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 /dev/null                                |    0 
 25-akpm/arch/alpha/kernel/alpha_ksyms.c  |    1 -
 25-akpm/arch/i386/kernel/i386_ksyms.c    |    1 -
 25-akpm/arch/ia64/kernel/smp.c           |    1 -
 25-akpm/arch/ia64/mm/tlb.c               |    1 -
 25-akpm/arch/m32r/kernel/m32r_ksyms.c    |    1 -
 25-akpm/arch/x86_64/kernel/x8664_ksyms.c |    1 -
 7 files changed, 6 deletions(-)

diff -puN arch/alpha/kernel/alpha_ksyms.c~unexport-flush_tlb_all arch/alpha/kernel/alpha_ksyms.c
--- 25/arch/alpha/kernel/alpha_ksyms.c~unexport-flush_tlb_all	Fri Mar 11 14:41:14 2005
+++ 25-akpm/arch/alpha/kernel/alpha_ksyms.c	Fri Mar 11 14:41:14 2005
@@ -176,7 +176,6 @@ EXPORT_SYMBOL(up);
 
 #ifdef CONFIG_SMP
 EXPORT_SYMBOL(synchronize_irq);
-EXPORT_SYMBOL(flush_tlb_all);
 EXPORT_SYMBOL(flush_tlb_mm);
 EXPORT_SYMBOL(flush_tlb_range);
 EXPORT_SYMBOL(flush_tlb_page);
diff -L arch/alpha/kernel/alpha_ksyms.c.old -puN /dev/null /dev/null
diff -puN arch/i386/kernel/i386_ksyms.c~unexport-flush_tlb_all arch/i386/kernel/i386_ksyms.c
--- 25/arch/i386/kernel/i386_ksyms.c~unexport-flush_tlb_all	Fri Mar 11 14:41:14 2005
+++ 25-akpm/arch/i386/kernel/i386_ksyms.c	Fri Mar 11 14:41:14 2005
@@ -148,7 +148,6 @@ EXPORT_SYMBOL(smp_call_function);
 
 /* TLB flushing */
 EXPORT_SYMBOL(flush_tlb_page);
-EXPORT_SYMBOL_GPL(flush_tlb_all);
 #endif
 
 #ifdef CONFIG_X86_IO_APIC
diff -L arch/i386/kernel/i386_ksyms.c.old -puN /dev/null /dev/null
diff -puN arch/ia64/kernel/smp.c~unexport-flush_tlb_all arch/ia64/kernel/smp.c
--- 25/arch/ia64/kernel/smp.c~unexport-flush_tlb_all	Fri Mar 11 14:41:14 2005
+++ 25-akpm/arch/ia64/kernel/smp.c	Fri Mar 11 14:41:14 2005
@@ -227,7 +227,6 @@ smp_flush_tlb_all (void)
 {
 	on_each_cpu((void (*)(void *))local_flush_tlb_all, NULL, 1, 1);
 }
-EXPORT_SYMBOL(smp_flush_tlb_all);
 
 void
 smp_flush_tlb_mm (struct mm_struct *mm)
diff -L arch/ia64/kernel/smp.c.old -puN /dev/null /dev/null
diff -puN arch/ia64/mm/tlb.c~unexport-flush_tlb_all arch/ia64/mm/tlb.c
--- 25/arch/ia64/mm/tlb.c~unexport-flush_tlb_all	Fri Mar 11 14:41:14 2005
+++ 25-akpm/arch/ia64/mm/tlb.c	Fri Mar 11 14:41:14 2005
@@ -127,7 +127,6 @@ local_flush_tlb_all (void)
 	local_irq_restore(flags);
 	ia64_srlz_i();			/* srlz.i implies srlz.d */
 }
-EXPORT_SYMBOL(local_flush_tlb_all);
 
 void
 flush_tlb_range (struct vm_area_struct *vma, unsigned long start, unsigned long end)
diff -L arch/ia64/mm/tlb.c.old -puN /dev/null /dev/null
diff -puN arch/m32r/kernel/m32r_ksyms.c~unexport-flush_tlb_all arch/m32r/kernel/m32r_ksyms.c
--- 25/arch/m32r/kernel/m32r_ksyms.c~unexport-flush_tlb_all	Fri Mar 11 14:41:14 2005
+++ 25-akpm/arch/m32r/kernel/m32r_ksyms.c	Fri Mar 11 14:41:14 2005
@@ -76,7 +76,6 @@ EXPORT_SYMBOL(smp_call_function);
 
 /* TLB flushing */
 EXPORT_SYMBOL(smp_flush_tlb_page);
-EXPORT_SYMBOL_GPL(smp_flush_tlb_all);
 #endif
 
 /* compiler generated symbol */
diff -L arch/m32r/kernel/m32r_ksyms.c.old -puN /dev/null /dev/null
diff -puN arch/x86_64/kernel/x8664_ksyms.c~unexport-flush_tlb_all arch/x86_64/kernel/x8664_ksyms.c
--- 25/arch/x86_64/kernel/x8664_ksyms.c~unexport-flush_tlb_all	Fri Mar 11 14:41:14 2005
+++ 25-akpm/arch/x86_64/kernel/x8664_ksyms.c	Fri Mar 11 14:41:14 2005
@@ -216,7 +216,6 @@ EXPORT_SYMBOL(__supported_pte_mask);
 
 #ifdef CONFIG_SMP
 EXPORT_SYMBOL(flush_tlb_page);
-EXPORT_SYMBOL_GPL(flush_tlb_all);
 #endif
 
 EXPORT_SYMBOL(cpu_khz);
diff -L arch/x86_64/kernel/x8664_ksyms.c.old -puN /dev/null /dev/null
_
